aboutsummaryrefslogtreecommitdiff
path: root/sh/shrc.d/bc.sh
diff options
context:
space:
mode:
Diffstat (limited to 'sh/shrc.d/bc.sh')
-rw-r--r--sh/shrc.d/bc.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/sh/shrc.d/bc.sh b/sh/shrc.d/bc.sh
new file mode 100644
index 00000000..643678ac
--- /dev/null
+++ b/sh/shrc.d/bc.sh
@@ -0,0 +1,7 @@
+# This function is only applicable if bc(1) has the non-POSIX -q option
+command bc -q </dev/null >&0 2>&0 || return
+
+# Don't print the bc(1) welcome message
+bc() {
+ command bc -q "$@"
+}